Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Tried upgrading 1.6.0.0 to 1.6.0.1
 
Roger
Member
 
Total Posts:  69
Joined:  2007-08-31
 

Well… someone has to be the first one smile

Anyways, I took a complete backup. Disabled cache.

And installed Mage Latest in magento downloader, everything expect Mage_Core_Modules installed because of the blank theme?

Checking dependencies of packages
Already installed
community/Lib_Varien 1.6.1.0skipping
Already installed
community/Lib_Google_Checkout 1.5.0.0skipping
Already installed
community/Lib_Js_Calendar 1.51.1skipping
Already installed
community/Lib_Js_Mage 1.6.1.0skipping
Already installed
community/Lib_Phpseclib 1.5.0.0skipping
Already installed
community/Mage_Locale_en_US 1.6.1.0skipping
Already installed
community/Lib_Mage 1.6.1.0skipping
Already installed
community/Lib_ZF 1.11.1.0skipping
Already installed
community/Lib_Js_Prototype 1.7.0.0.2skipping
Already installed
community/Lib_ZF_Locale 1.11.1.0skipping
CONNECT ERROR
Package community/Mage_Core_Modules 1.6.1.0 conflicts withcommunity/Interface_Frontend_Default_Blank 1.5.0.0

I tried uninstall the blank theme in the downloader but it gave the following error…

CONNECT ERRORcommunity/Mage_Core_Modules 1.6.0.0 is required bycommunity/Interface_Frontend_Default 1.6.0.0community/Phoenix_Moneybookers 1.3.0community/Find_Feed 1.1.0community/Mage_Compiler 1.6.0.0community/Mage_All_Latest 1.6.1.0community/Interface_Install_Default 1.6.1.0community/Mage_Centinel 1.6.1.0community/Interface_Frontend_Base_Default 1.6.1.0community/Magento_Mobile 1.6.0.0.22.0community/Mage_Core_Adminhtml 1.6.1.0community/Interface_Frontend_Default_Modern 1.6.1.0
 
Magento Community Magento Community
Magento Community
Magento Community
 
j0ney3
Jr. Member
 
Total Posts:  25
Joined:  2010-02-24
 

Well, I made the same mistake, except I\’m presented with this on both front and backend:

Fatal error: Class \’Mage_XmlConnect_Model_Resource_Setup\’ not found in includes/src/Mage_Core_Model_Resource_Setup.php on line 234

I\’m glad this is only a dev box.  I remember thinking to myself, \"this should be simple, I\’ll just run the upgrade real quick...maybe I should let someone else do it first...nah\”

 
Magento Community Magento Community
Magento Community
Magento Community
 
Roger
Member
 
Total Posts:  69
Joined:  2007-08-31
 
j0ney3 - 19 October 2011 12:02 PM

Well, I made the same mistake, except I\’m presented with this on both front and backend:

Fatal error: Class \’Mage_XmlConnect_Model_Resource_Setup\’ not found in includes/src/Mage_Core_Model_Resource_Setup.php on line 234

I\’m glad this is only a dev box.  I remember thinking to myself, \"this should be simple, I\’ll just run the upgrade real quick...maybe I should let someone else do it first...nah\”

Hahah, me too. But I am stupid enough to try it in production mode, I got too few visitors to care anyway… smile

Have you checked magento/var/log/expection.log?

 
Magento Community Magento Community
Magento Community
Magento Community
 
j0ney3
Jr. Member
 
Total Posts:  25
Joined:  2010-02-24
 
Roger - 19 October 2011 12:06 PM

j0ney3 - 19 October 2011 12:02 PM
Well, I made the same mistake, except I\’m presented with this on both front and backend:

Fatal error: Class \’Mage_XmlConnect_Model_Resource_Setup\’ not found in includes/src/Mage_Core_Model_Resource_Setup.php on line 234

I\’m glad this is only a dev box.  I remember thinking to myself, \"this should be simple, I\’ll just run the upgrade real quick...maybe I should let someone else do it first...nah\”

Hahah, me too. But I am stupid enough to try it in production mode, I got too few visitors to care anyway… smile

Have you checked magento/var/log/expection.log?

Yeah...it’s not even making it that far, nothing showing up at all in any logs (aside from the fatal in syslogs).  I should’ve known better :( Well, I’m guessing there will be a bunch of posts in here shortly wink

 
Magento Community Magento Community
Magento Community
Magento Community
 
Roger
Member
 
Total Posts:  69
Joined:  2007-08-31
 

Anyways I couldn’t move forward since the Magento Core modules didnt want to upgrade because of the blank theme.

I have now reverted back to 1.6.0.0 but I still can’t uninstall the blank theme

CONNECT ERRORcommunity/Mage_Core_Modules 1.6.0.0 is required bycommunity/Mage_All_Latest 1.6.0.0community/Interface_Frontend_Default 1.6.0.0community/Interface_Install_Default 1.6.0.0community/Mage_Centinel 1.6.0.0community/Interface_Frontend_Base_Default 1.6.0.0community/Phoenix_Moneybookers 1.3.0community/Find_Feed 1.1.0community/Mage_Compiler 1.6.0.0community/Magento_Mobile 1.5.0.0.21.0community/Mage_Core_Adminhtml 1.6.0.0community/Interface_Frontend_Default_Modern 1.6.0.0
 
Magento Community Magento Community
Magento Community
Magento Community
 
Roger
Member
 
Total Posts:  69
Joined:  2007-08-31
 

I was able to uninstall the Blank theme by doing this…

To uninstall this extension try going to

\downloader\lib\Mage\Connect\Command\Install.php

public function doUninstall($command, $options, $params)

and changing the line - about 484

$withDepsMode = !isset($options[’nodeps’]);

to

$withDepsMode = isset($options[’nodeps’]);
Change back when finished!

Compliments to clorne, http://www.magentocommerce.com/boards/viewthread/243659/P15/

 
Magento Community Magento Community
Magento Community
Magento Community
 
Roger
Member
 
Total Posts:  69
Joined:  2007-08-31
 

After upgrading, I get this error instead 1.5.1.0 to 1.6 error: mysql4-upgrade-1.5.9.9-1.6.0.0.php, an another thread here:

http://www.magentocommerce.com/boards/viewthread/246113/

a:5:{i:0;s:261:"Error in file: "/var/www/clients/client1/web1/web/magento/app/code/core/Mage/XmlConnect/sql/xmlconnect_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php" - SQLSTATE[42S02]: Base table or view not found: 1146 Table 'c1dwcom.xmlconnect_notification_template' doesn't exist";i:1;s:1099:"#0 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '1.4.0.14', '1.6.0.0')
#2 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('1.4.0.14', '1.6.0.0')
#3 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/App.php(412): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /var/www/clients/client1/web1/web/magento/app/code/core/Mage/Core/Model/App.php(338): Mage_Core_Model_App->_initModules()
#6 /var/www/clients/client1/web1/web/magento/app/Mage.php(640): Mage_Core_Model_App->run(Array)
#7 /var/www/clients/client1/web1/web/en/index.php(52): Mage::run('dw_en')
#8 {main}"
;s:3:"url";s:193:"/en/catalog/product_compare/add/product/19/uenc/aHR0cDovL2RpbGxvbndlbGRpbmcuY29tL2VuL2NhdGFsb2cvY2F0ZWdvcnkvdmlldy9zL3RpcHMvaWQvNi8_X19fZnJvbV9zdG9yZT1kd19maSZfX19zdG9yZT1kd19lbiZsaW1pdD0xNQ,,/";s:11:"script_name";s:13:"/en/index.php";s:4:"skin";s:7:"default";}
 
Magento Community Magento Community
Magento Community
Magento Community
 
fourroses666
Sr. Member
 
Total Posts:  90
Joined:  2010-11-15
 

Same here, upgrade didn’t work, tried to delete my template: Free Magento Template by Magesupport, then the whole site was offline.

Going for a backup right now damned!
Another 3 hours of frustrating, don’t forget in root, delete maintenance.flags file…

(1.6.0 -> 1.6.1)

 
Magento Community Magento Community
Magento Community
Magento Community
 
j0ney3
Jr. Member
 
Total Posts:  25
Joined:  2010-02-24
 

Ugh...I just tried doing a reinstall of core from connect, big mistake, somehow it deleted almost all of my files, no ./mage anymore, nothing.  I’d highly suggest staying away from this “upgrade”.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top